<!DOCTYPE html>
<html layout:decorate="~{fragments/layout}">
<header>
	<title>Order Page</title>
</header>

<body>
	<div layout:fragment="content">
		<h1>Order Page</h1>

		<button onclick="newOrder()" class="btn btn-primary mb-2">New Order</button>
		<button onclick="historyCheckout()" class="btn btn-secondary mb-2">History Order</button>
		<div id="main-contain"></div>
		<div id="data-list"></div>

		<script>
			function newOrder() {
				$.ajax({
					url: '/api/transaction/orderheader/create',
					type: 'post',
					contentType: 'application/json',
					success: function () {


						$.ajax({
							url: '/api/transaction/maxorderheaderid',
							type: 'get',
							contentType: 'application/json',
							success: function (headerId) {

								$.ajax({
									url: '/api/product',
									type: 'get',
									contentType: 'application/json',
									success: function (dataProduct) {


										var str = '<form id="form_submit"><table class="table table-hover table-striped">'
										str += '<tr>'
										str += '<td>Product</td>'
										str += '<td>'
										str += '<select id="product_id" class="form-control" onChange="getPrice(this.value)">'
										str += '<option value="">--Pilih Product--</option>'
										for (var i = 0; i < dataProduct.length; i++) {
											str += '<option value="' + dataProduct[i].id + '">' + dataProduct[i].productName + '</option>'
										}
										str += '</select>'
										str += '</td>'
										str += '</tr>'
										str += '<tr>'
										str += '<td>Price</td>'
										str += '<td><input type="number" class="form-control" disabled id="product_price"></td>'
										str += '</tr>'
										str += '<tr>'
										str += '<td>Quantity</td>'
										str += '<td><input type="number" class="form-control"  id="product_quantity" required></td>'
										str += '</tr>'
										str += '<tr>'
										/*str += '<td><button class="btn btn-dark" onClick="addItem (' + headerId + ')">Tambah Item</button></td>'*/
										str += '<td><button class="btn btn-dark">Tambah Item</button></td>'
										str += '</tr>'
										str += '</table></form>'

										$("#main-contain").html(str);
										$("#form_submit").submit(function () {
											addItem(headerId)
											return false
										})
									}
								})
							}
						})
					}
				})
			}

			function getPrice(id) {
				$.ajax({
					url: '/api/product/' + id,
					type: 'get',
					contentType: 'application/json',
					success: function (product) {
						$("#product_price").val(product.price)
						$("#product_quantity").val("")
					}
				})
			}

			function addItem(headerId) {
				var productId = $("#product_id").val()
				var price = $("#product_price").val()
				var quantity = $("#product_quantity").val()

				var formdata = '{'
				formdata += '"headerId":' + headerId + ','
				formdata += '"productId":' + productId + ','
				formdata += '"quantity":' + quantity + ','
				formdata += '"price":' + price + ''
				formdata += '}'

				$.ajax({
					url: '/api/transaction/orderdetail/add',
					type: 'post',
					data: formdata,
					contentType: 'application/json',
					success: function () {
						dataList(headerId)
					}
				})
			}
			function dataList(headerId) {
				$.ajax({
					url: '/api/transaction/orderdetailbyheaderid/' + headerId,
					type: 'get',
					contentType: 'application/json',
					success: function (data) {
						var str = '<table class="table table-hover table-striped">'
						str += '<tr>'
						str += '<td>Reference</td>'
						str += '<td>Product</td>'
						str += '<td>Price</td>'
						str += '<td>Quantity</td>'
						str += '<td>Total</td>'
						str += '</tr>'
						var totalAmount = 0;
						for (var i = 0; i < data.length; i++) {
							str += '<tr>'
							str += '<td>' + data[i].header.reference + '</td>'
							str += '<td>' + data[i].product.productName + '</td>'
							str += '<td>' + data[i].price + '</td>'
							str += '<td>' + data[i].quantity + '</td>'
							totalAmount += data[i].price * data[i].quantity
							str += '<td>' + data[i].price * data[i].quantity + '</td>'
							str += '</tr>'
						}
						str += '<tr>'
						str += '<td colspan="4"> Total Amount </td>'
						str += '<td><input id="total_amount" disabled value="' + totalAmount + '" ></td>'
						str += '</tr>'

						str += '<tr>'
						str += '<td><button onClick="checkout(' + headerId + ')" class="btn btn-info">Checkout</button></td>'
						str += '</tr>'
						str += '</table>'

						$("#data-list").html(str)
					}
				})
			}

			function checkout(headerId) {
				var totalAmount = $("#total_amount").val()
				$.ajax({
					url: '/api/transaction/orderheadercheckout/' + headerId + '/' + totalAmount,
					type: 'put',
					contentType: 'application/json',
					success: function () {
						window.location.reload()
					}
				})
			}
			/*function historyCheckout() {
				$.ajax({
					url: '/api/transaction/historyCheckout' + headerId,
					type: 'get',
					contentType: 'application/json',
					success: function (history) {
						var str += '<table>'
						str += '<tr>'
						str += '<td>Reference</td>'
						str += '<td>Product</td>'
						str += '<td>Price</td>'
						str += '<td>Quantity</td>'
						str += '<td>Total</td>'
						str += '</tr>'
						for (var i = 0; i < history.length; i++) {
							str += '<tr>'
							str += '<td>' + history[i].header.reference + '</td>'
							str += '<td>' + history[i].product.productName + '</td>'
							str += '<td>' + history[i].price + '</td>'
							str += '<td>' + data[i].quantity + '</td>'
							str += <'td>' + totalAmount + '</td>' 
							str += '<td>' + data[i].price * data[i].quantity + '</td>'
							str += '</tr>'
						}
						str += '</table>'
					}
				})*/

		</script>

	</div>
</body>

</html>